## Name

acosh — return the arc hyperbolic cosine of the parameter

## Declaration

`genType acosh(` | genType x`)`;

## Parameters

`x`

  Specify the value whose arc hyperbolic cosine to return.

## Description

`acosh` returns the arc hyperbolic cosine of x; the non-negative inverse of cosh. Results are undefined if x 1.

## Version Support

| OpenGL Shading Language Version
--- | ---
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
acosh | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

## See Also

sin, cos, sinh, cosh

## Copyright

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. http://opencontent.org/openpub/.